SDL_SubmitGPUCommandBuffer(3)

NAME
SDL_SubmitGPUCommandBuffer - Submits a command buffer so its commands can be processed on the GPU.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SubmitGPUCommandBuffer(
    SDL_GPUCommandBuffer *command_buffer);

DESCRIPTION
It is invalid to use the command buffer after this is called.

This must be called from the thread the command buffer was acquired on.

All commands in the submission are guaranteed to begin executing before any command in a subsequent submission begins executing.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

RETURN VALUE
Returns true on success, false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AcquireGPUCommandBuffer(3), •(3), SDL_WaitAndAcquireGPUSwapchainTexture(3), •(3), SDL_AcquireGPUSwapchainTexture(3), •(3), SDL_SubmitGPUCommandBufferAndAcquireFence(3)